io.vertx.ext.mongo

## Class TimeSeriesOptions

- java.lang.Object
- - io.vertx.ext.mongo.TimeSeriesOptions

-     public class TimeSeriesOptions
      extends Object

  Options used to configure timeseries options.

  Added in MongoDB 5.0 https://www.mongodb.com/docs/manual/core/timeseries-collections/

  Author:
    Liu Chong

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_TIME_FIELD` The default time field value for timeseries collections.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSeriesOptions()`
    `TimeSeriesOptions(JsonObject json)`
    `TimeSeriesOptions(TimeSeriesOptions options)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `TimeSeriesGranularity` | `getGranularity()`
    `String` | `getMetaField()`
    `String` | `getTimeField()`
    `int` | `hashCode()`
    `TimeSeriesOptions` | `setGranularity(TimeSeriesGranularity granularity)`
    `TimeSeriesOptions` | `setMetaField(String metaField)`
    `TimeSeriesOptions` | `setTimeField(String timeField)`
    `JsonObject` | `toJson()`
    `com.mongodb.client.model.TimeSeriesOptions` | `toMongoDriverObject()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIME_FIELD

          public static final String DEFAULT_TIME_FIELD

      The default time field value for timeseries collections.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimeSeriesOptions

          public TimeSeriesOptions()

    - #### TimeSeriesOptions

          public TimeSeriesOptions(TimeSeriesOptions options)

      Copy constructor.

    - #### TimeSeriesOptions

          public TimeSeriesOptions(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### toMongoDriverObject

          public com.mongodb.client.model.TimeSeriesOptions toMongoDriverObject()

    - #### getTimeField

          public String getTimeField()

      Returns:
        the timeField

    - #### setTimeField

          public TimeSeriesOptions setTimeField(String timeField)

      Parameters:
        `timeField` - the timeField to set

    - #### getMetaField

          public String getMetaField()

      Returns:
        the metaField

    - #### setMetaField

          public TimeSeriesOptions setMetaField(String metaField)

      Parameters:
        `metaField` - the metaField to set

    - #### getGranularity

          public TimeSeriesGranularity getGranularity()

      Returns:
        the granularity

    - #### setGranularity

          public TimeSeriesOptions setGranularity(TimeSeriesGranularity granularity)

      Parameters:
        `granularity` - the granularity to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2023 Eclipse. All rights reserved.